<?php

namespace Highwaypro\App\Data\Model\Preferences;

use HighWayPro\App\HighwayPro\Time\PeriodOfTime;
use HighWayPro\App\HighwayPro\Time\PeriodOfTimePresets;
use HighWayPro\Original\Collections\Collection;
use HighwayPro\Original\Collections\Mapper\Types;
use Highwaypro\App\Data\Model\Preferences\Preferences;

Class AnalyticsPreferences extends Preferences
{
    public static $numberSeparators = ['.', ',', "'", ' '/*a single space*/];

    public static function getDefaultPreset()
    {
        return PeriodOfTimePresets::TODAY;
    }
    
    static public function fields()
    {
        return new Collection([
            // this is the default preset to use when for the click analytics
            'defaultPreset' => Types::STRING()->allowed(PeriodOfTimePresets::getPresets())
                                              ->withDefault(static::getDefaultPreset()),
            'defaultUnit' => Types::STRING()->allowed(PeriodOfTime::$validUnits)
                                            ->withDefault('auto'),
            'decimalSeparator' => Types::STRING()->allowed(static::$numberSeparators)
                                                 ->withDefault('.'),
            'thousandSeparator' => Types::STRING()->allowed(static::$numberSeparators)
                                                   ->withDefault(','),
        ]);
    }
    
    protected function getMap()
    {
        return static::fields()->asArray();
    }
}