<?php

namespace HighWayPro\App\Data\Model\UrlViews\UrlViewStatistics;

use Carbon\Carbon;
use HighWayPro\App\Data\Model\UrlViews\UrlViewStatistics\UrlViewStatistics;
use HighWayPro\App\Data\Model\UrlViews\UrlViewStatistics\UrlViewStatisticsInterface;
use HighWayPro\Original\Collections\Collection;
use HighWayPro\Original\Environment\Env;
use HighwayPro\App\HighwayPro\System\Date;

Abstract Class UrlViewStatisticsData
{
    protected $urlViewStatistics;

    protected abstract function getDataToExport(); #: Collection

    public function __construct(UrlViewStatistics $urlViewStatistics, Date $today = null)
    {
        $this->urlViewStatistics = $urlViewStatistics;
    }

    public function export()
    {
        return $this->getDataToExport();
    }    

    public function getType()
    {
        return $this->urlViewStatistics->isForSingleUrl()? 'single' : 'all';   
    }    
}