<?php

namespace HighWayPro\App\HighwayPro\Time;

use HighWayPro\Original\Collections\Collection;
use HighWayPro\Original\Environment\Env;

Class PeriodOfTimePresets
{
    const TODAY = 'today';
    const LAST_DAY = 'lastday';
    const TWO_DAYS_AGO = 'twodaysago';
    const IN_THE_LAST_SEVEN_DAYS = 'inthelastsevendays';
    const IN_THE_LAST_MONTH = 'inthelastmonth';
    const IN_THE_LAST_YEAR = 'inthelastyear';
    const THIS_MONTH = 'thismonth';
    const THIS_YEAR = 'thisyear';
    const SAME_PERIOD_OF_LAST_MONTH = 'sameperiodoflastmonth';
    const SAME_PERIOD_OF_LAST_YEAR = 'sameperiodoflastyear';
    const CUSTOM_RANGE = 'customrange';

    public static function getPresets()
    {
        return static::getPresetsWithText()->getKeys();
    }

    public static function getPresetsWithText()
    {
        return new Collection([
            self::TODAY => esc_html__('Today', Env::textDomain()),
            self::LAST_DAY => esc_html__('Yesterday', Env::textDomain()),
            self::TWO_DAYS_AGO => esc_html__('Two days ago', Env::textDomain()),
            self::IN_THE_LAST_SEVEN_DAYS => esc_html__('In the last seven days', Env::textDomain()),
            self::IN_THE_LAST_MONTH => esc_html__('In the last month', Env::textDomain()),
            self::IN_THE_LAST_YEAR => esc_html__('In the last year', Env::textDomain()),
            self::THIS_MONTH => esc_html__('This month', Env::textDomain()),
            self::THIS_YEAR => esc_html__('This year', Env::textDomain()),
            self::SAME_PERIOD_OF_LAST_MONTH => esc_html__('In the same period of last month', Env::textDomain()),
            self::SAME_PERIOD_OF_LAST_YEAR => esc_html__('In the same period of last year', Env::textDomain()),
            self::CUSTOM_RANGE => esc_html__('Custom Range', Env::textDomain()),
        ]);
    }
    
}