import './ToggleButtonGroup.css';

import ExpansionPanel from '@material-ui/core/ExpansionPanel';
import ExpansionPanelDetails from '@material-ui/core/ExpansionPanelDetails';
import ExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary';
import Grid from '@material-ui/core/Grid';
import React, {Component} from 'react';
import Typography from '@material-ui/core/Typography';
import FormControl from '@material-ui/core/FormControl';
import TextField from '@material-ui/core/TextField';
import classNames from 'classnames';
import $ from 'jquery';
import ToggleButton from './ToggleButton';
import InputLabel from '@material-ui/core/InputLabel';

class ToggleButtonGroup extends Component {
    setSelectedButton(button) 
    {
        return () => {
            this.props.onChange(button.value);
        }
    }

    componentDidUpdate() 
    {
        $('.hp-toogle-button-group-panel-content-container input').focus();
    }

    render() 
    {
        const currentButton = this.props.buttons.find(button => button.value === this.props.value) || {};
        const isExpanded = typeof currentButton.content === 'function';

        return (
        <div className="hp-toogle-button-main">
            {this.props.label && (
                <InputLabel shrink={true}>
                    {this.props.label}
                </InputLabel>
            )}
             <ExpansionPanel 
                className={classNames({'hp-toogle-button-group-panel-container': true, '--expanded': isExpanded})} 
                expanded={isExpanded}
             >
                <ExpansionPanelSummary className="hp-toogle-button-group-panel-summary-container">
                    <div className="hp-toogle-button-group">
                        {this.props.buttons.map(button => (
                            <ToggleButton label={button.label} onClick={this.setSelectedButton(button)} isSelected={this.props.value === button.value} />
                        ))}
                    </div>
                </ExpansionPanelSummary>
                <ExpansionPanelDetails className="hp-toogle-button-group-panel-content-container">
                   {currentButton.content && currentButton.content()}
                </ExpansionPanelDetails>
            </ExpansionPanel>
        </div>
        );
    }
}

export default ToggleButtonGroup;