import './AnalyticsPreferencesCard.css';

import FormControlLabel from '@material-ui/core/FormControlLabel';
import FormHelperText from '@material-ui/core/FormHelperText';
import InputLabel from '@material-ui/core/InputLabel';
import MenuItem from '@material-ui/core/MenuItem';
import React from 'react';
import Select from '@material-ui/core/Select';
import _ from 'lodash';

import { HighWayPro } from '../../../../domain/highwaypro/HighWayPro';
import { map } from '../../../../domain/utilities/object/map';
import HorizontalField from '../../fields/HorizontalField';
import PreferencesCard from './PreferencesCard';
import PresetsMenu from '../Urls/statistics/PresetsMenu';
import UnitsMenu from '../Urls/statistics/UnitsMenu';

class AnalyticsPreferencesCard extends PreferencesCard {
    static cardTitle = 'Analytics';
    static cardText = '';

    preferencesType = 'analytics';

    render() {
        return (
        <React.Fragment>
            <HorizontalField 
                title={HighWayPro.text.preferences.analytics.defaultPreset.label}
                field={(<React.Fragment>
                        <InputLabel>Preset</InputLabel>
                        <PresetsMenu 
                            customRangeIsEnabled={false} 
                            onChange={preset => this.handleChange('defaultPreset')({target:{value: preset}})}
                            preset={this.props.preferences.analytics.defaultPreset}
                        />
                        <FormHelperText classes={{root: 'MuiFormHelperText'}}>{HighWayPro.text.preferences.analytics.defaultPreset.description}</FormHelperText>
                    </React.Fragment>
                    )} 
            />
            <HorizontalField 
                title={HighWayPro.text.preferences.analytics.defaultUnit.label}
                field={(<React.Fragment>
                        <InputLabel>Unit</InputLabel>
                        <UnitsMenu 
                            unit={this.props.preferences.analytics.defaultUnit}
                            preset={this.props.preferences.analytics.defaultPreset}
                            onChange={unit => this.handleChange('defaultUnit')({target:{value: unit}})}
                        />
                        <FormHelperText classes={{root: 'MuiFormHelperText'}}>{HighWayPro.text.preferences.analytics.defaultUnit.description}</FormHelperText>
                    </React.Fragment>
                    )} 
            />
        </React.Fragment>
        );
    }
}

export default AnalyticsPreferencesCard;