import './CustomChartToolTip.css';

import NumberFormat from 'react-number-format';
import React, {Component} from 'react';

import { HighWayPro } from '../../../../../domain/highwaypro/HighWayPro';

class CustomChartToolTip extends Component {
    render() {
        return (
            <div className="hp-custom-chart-tool-tip">
                <div className="hp-cc-day">
                    {this.props.day.labels? this.props.day.labels.date : ''}
                </div>
                <div className="hp-cc-total">
                    <NumberFormat 
                        value={this.props.day.count} 
                        displayType={'text'} 
                        thousandSeparator={HighWayPro.preferences.analytics.thousandSeparator} 
                        decimalSeparator={HighWayPro.preferences.analytics.decimalSeparator}
                        decimalScale={2}
                    />
                </div>
            </div>
        );
    }
}

export default CustomChartToolTip;