import { RemoteFinder } from './RemoteFinder';
import PeriodOfTime from '../../date/PeriodOfTime';

export class UrlViewsFinder extends RemoteFinder {
    getStatsForAllUrls(periodOfTime: PeriodOfTime) 
    {
        return this.get({
            path: 'url/statistics',
            data: {
                periodOfTime: periodOfTime
            }
        });  
    }

    getByUrlId(urlId, periodOfTime: PeriodOfTime) 
    {
        return this.get({
            path: 'url/statistics',
            data: {
                url: {
                    id: urlId
                },
                periodOfTime: periodOfTime
            }
        });    
    }

    returnOnSuccess(response) 
    {
        const responseObject = this.createObjectFrom(response);

        return responseObject;
    } 
}