import RotateLeftRounded from '@material-ui/icons/RotateLeftRounded';
import React from 'react';
import TextField from '@material-ui/core/TextField';
import FormControl from '@material-ui/core/FormControl';
import { BuiltInComponent } from '../BuiltInComponent';

export class RotatingTarget extends BuiltInComponent {
    static type = 'target';
    static getIdStatic() { return 'highwaypro.RotatingTarget';}
    getId() { return RotatingTarget.getIdStatic() } 
    icon = (<RotateLeftRounded />);

    initialState = {
        urls: this.convertArrayToStringByNewLines(this.data.parameters.urls || []),
    }

    handleChange = (event) => {
        this.reactComponent.setState({
            urls: event.target.value
        });
    }

    getFinalParameters() 
    {
        return {
            urls: this.converStringTotArrayByNewLines(this.reactComponent.state.urls),
        }
    }

    getContent() 
    {
        return (
             <FormControl classes={{root: 'MuiFormControl-root'}}>
                 <TextField
                    label="URLs"
                    multiline
                    rows="4"
                    value={this.reactComponent.state.urls}
                    onChange={this.handleChange}
                    margin="normal"
                    helperText="Hit enter to separate one or more URLs"
                    variant="outlined"
                />
            </FormControl>
        )
    }

    getValuesAsPreview()
    {
        if (this.data.parameters.urls.length) {
            return `Next: ${this.data.parameters.urls[this.data.parameters.currentURLPosition - 1]}`;
        }
    }
}